Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.farafin.snEADy.control.GaphixStuff
Class M_GraphixEngineUI

    java.lang.Object
      de.farafin.snEADy.control.GaphixStuff.M_GraphixEngineUI

All Implemented Interfaces:
  I_Constants, I_GraphixConstants, I_GameStats

    public class M_GraphixEngineUI

extends java.lang.Object
implements I_Constants, I_GraphixConstants, I_GameStats

Version:
  $Revision: 1.18 $
Author:
  lars, roland

Nested Class Summary
`private static class` | `M_GraphixEngineUI.Gr_Arena` Grafikrepräsentation der Arena
`private static class` | `M_GraphixEngineUI.Gr_DiffArena`

Field Summary
`private static int` | `actArena`
`private static java.awt.Graphics` | `actGraphics`
`private static M_GraphixEngineUI.Gr_Arena[]` | `arena`
`protected static C_WindowArena` | `arenaFS`
`protected static C_WindowCommand` | `commandFrame`
`protected static C_DebugMonitor` | `debugMon`
`private static M_GraphixEngineUI.Gr_DiffArena` | `diff`
`private static float` | `fps`
`private static int` | `frameC`
`protected static GameParameter` | `gameParam`
`protected static java.awt.Graphics2D[]` | `gr_tab`
`protected static int` | `humanPlayerC`
`protected static C_Human[]` | `humans`
`protected static java.awt.image.VolatileImage` | `img_arena`
`protected static java.awt.image.VolatileImage[]` | `img_pTab`
`protected static java.awt.image.VolatileImage[]` | `img_tab`
`private static int[]` | `last_killPoints`
`protected static int` | `lastPlayerC`
`private static long` | `lastTime`
`private static int[]` | `m_cycles`
`private static int[]` | `m_killpoints`
`private static int[]` | `m_length`
`private static int[]` | `m_name`
`protected static C_WindowMain` | `menuFrame`
`protected static D_GameInfo` | `oldGameInfo`
`protected static C_WindowOptions` | `options`
`protected static C_WindowPlayer` | `playerFS`
`protected static int[]` | `playerOrd`
`protected static C_WindowReplay` | `replay`

Fields inherited from interface de.farafin.snEADy.communication.I_Constants
`analyse_ms, auto_grow_delay, auto_slowdown_delay, autogamespeed, closemonitor, damage_length_grow, damage_points_radius, DEBUG, delplayer, easy_points, ejectreplay, emergencyPause, exit_time, FACE_EAST, FACE_NORTH, FACE_SOUTH, FACE_WEST, game_end, goody_length_occ, goody_length_value, goody_points_occ, goody_points_value, goody_shorter_occ, goody_shorter_value, goody_slowdown_occ, goody_speed_occ, IN_ACTION, IN_ERROR_EXC, IN_ERROR_INIT, IN_ERROR_SPACE, IN_ERROR_TIME, IN_EXIT, IN_HEAVEN, init_length, init_move_delay, kill, kill_point_goodies, kill_points_radius, loaddummy, loadhuman, loadlevel, loadplayer, loadscript, logging, max_goody_occ_delay, MAX_HUMAN_PLAYERS, max_mem_check_delay, max_move_delay, max_player_mem, MAX_PLAYERS, max_thinking_ms, memkill, min_cycle_ms, min_move_delay, MOVE_EAST, MOVE_NORTH, MOVE_SOUTH, MOVE_WEST, openmonitor, overalldelay, pause, player_controlling, print_calc_ms, print_parameter, print_player_mem, print_playfield, quit, record, recordname, replay_reverse, replay_stepwidth, replay_stepwise, run, set, show_subcycles, start, stop, suddend_time, survival_points, timekill, tolerance_ms, TURN_LEFT, TURN_NONE, TURN_RIGHT`

Fields inherited from interface de.farafin.snEADy.control.GaphixStuff.I_GraphixConstants
`ALLIG_LEFT, ALLIG_RIGHT, AREA_INFOARENA, AREA_INFOPLAYER, AREA_INFOREPLAY, AREA_LOADEDREPLAY, ARENAMAXSIZE, BUTT_ADDCPLAYER, BUTT_ADDHPLAYER, BUTT_ARENA, BUTT_ARENAOK, BUTT_CREDITS, BUTT_EJECTREPLAY, BUTT_LOADARENA, BUTT_LOADREPLAY, BUTT_MIN, BUTT_OPTIONS, BUTT_PLAYER, BUTT_PLOK, BUTT_QUIT, BUTT_REPLAY, BUTT_REPLAYOK, BUTT_RMPLAYER01, BUTT_RMPLAYER02, BUTT_RMPLAYER03, BUTT_RMPLAYER04, BUTT_RMPLAYER05, BUTT_RMPLAYER06, BUTT_RMPLAYER07, BUTT_RMPLAYER08, BUTT_RMPLAYER09, BUTT_RMPLAYER10, BUTT_RUN, BUTT_STOP, C_END, C_EXIT, C_EXITO, C_FLOOR, C_GOODY_E, C_GOODY_LENGTH, C_GOODY_POINTS, C_GOODY_S, C_GOODY_SPEED, C_NOTHING, C_PLAYER_E, C_PLAYER_S, C_PLAYER01, C_PLAYER02, C_PLAYER03, C_PLAYER04, C_PLAYER05, C_PLAYER06, C_PLAYER07, C_PLAYER08, C_PLAYER09, C_PLAYER10, C_PLAYERH_E, C_PLAYERH_S, C_PLAYERH01, C_PLAYERH02, C_PLAYERH03, C_PLAYERH04, C_PLAYERH05, C_PLAYERH06, C_PLAYERH07, C_PLAYERH08, C_PLAYERH09, C_PLAYERH10, C_UNKNOWN, C_WALL, C_WALL_E, C_WALL_S, C_WALLCORNER_E, C_WALLCORNER_N, C_WALLCORNER_NE_CC, C_WALLCORNER_NE_CV, C_WALLCORNER_NW_CC, C_WALLCORNER_NW_CV, C_WALLCORNER_S, C_WALLCORNER_SE_CC, C_WALLCORNER_SE_CV, C_WALLCORNER_SW_CC, C_WALLCORNER_SW_CV, C_WALLCORNER_W, COL_SCROLLBAR, COL_TEXTBGHIGHLIGHTED, COL_TEXTBGNORMAL, dir_arena, dir_pics, dir_player, dir_replay, EXITTIME, F_GREEN, F_INACTIVE, F_MARKED, F_NORMAL, F_RED, FIELDELEMSIZE, GAMETIME, humanPlayerKeyD, humanPlayerKeyL, humanPlayerKeyR, humanPlayerKeyU, M_BG, M_BUTTARENA, M_BUTTCREDITS, M_BUTTMIN, M_BUTTOPTIONS, M_BUTTPLAYER, M_BUTTQUIT, M_BUTTREPLAY, M_BUTTRMPLAYER, M_BUTTRUN, M_BUTTSTOP, M_FONTSERP8X14, M_TABCLOSE, M_TABOPEN, M_TEXTAREA, M_TGLBUTT, M_VOLATILE_END, MAXFRAMECOUNT, MONITOR, PLAYERTAB01, PLAYERTAB02, PLAYERTAB03, PLAYERTAB04, PLAYERTAB05, PLAYERTAB06, PLAYERTAB07, PLAYERTAB08, PLAYERTAB09, PLAYERTAB10, S_ARENABG, S_BUTTADD, S_BUTTEJECT, S_BUTTLOAD, S_BUTTMIN, S_BUTTOK, S_BUTTQUIT, S_OPTIONSBG, S_PLAYERBG, S_REPLAYBG, S_VSCROLL, S_VSCROLLBUTT, SCROLL_ARENA, SCROLL_PLAYER, SCROLL_REPLAY, SEL_ARENA, SEL_PLAYER, SEL_REPLAY, SKINSTUFFEND, SUDDENDTIME, TEXT_AGROW, TEXT_ASLOWD, TEXT_EXITT, TEXT_HPLAYERNAME, TEXT_IDELAY, TEXT_ILENGTH, TEXT_MAXDELAY, TEXT_MAXMEM, TEXT_MAXTIME, TEXT_MINCYCLEMS, TEXT_PLENGTH, TEXT_PPOINTS, TEXT_PSLOWD, TEXT_PSPEED, TEXT_RECORDNAME, TEXT_REPLAYMINCYCLEMS, TEXT_STEPRANGE, TEXT_SUDDENDT, TGL_AUTOGAMESPEED, TGL_CONTROLPLAYER, TGL_DEBUGMON, TGL_LOG, TGL_MEMKILL, TGL_PPMEM, TGL_PPTIME, TGL_RECORD, TGL_REVERSED, TGL_SHOWSC, TGL_STEP, TGL_TIMEKILL, UIGRAPHIX_END`

Fields inherited from interface de.farafin.snEADy.I_GameStats
`GAME_ABBORT, GAME_INIT, GAME_PAUSE, GAME_RECOVER, GAME_RUNNING, GAME_SAFE, PROG_END, PROG_INIT`

Constructor Summary
`private` | `M_GraphixEngineUI()`

Method Summary
`protected static void` | `checkActivations(D_GameInfo gameInfo)`
`protected static void` | `drawMenuElements(java.awt.Graphics g, D_GameInfo gameInfo)`
`private static void` | `drawPlayerTab(boolean[] drawArray)`
`static void` | `init(I_Main_interface calling, GameParameter p, C_DebugMonitor debMon, int version)` Creates a new instance of C_GraphixEngineUI
`static void` | `setActive(boolean active)`
`static void` | `update(D_GameInfo gameInfo, C_Human[] humanPlayer)`
`static void` | `updateDialogs()`
`protected static void` | `updateGraphics()`
`private static void` | `updatePlayer(D_GameInfo gameInfo)`
`private static void` | `updatePlayerTab(D_GameInfo gameInfo)`
`private static void` | `updateTexts(D_GameInfo gameInfo, java.awt.Graphics g)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### frameC

    private static int frameC

### lastTime

    private static long lastTime

### fps

    private static float fps

### oldGameInfo

    protected static D_GameInfo oldGameInfo

### humans

    protected static C_Human[] humans

### humanPlayerC

    protected static int humanPlayerC

### arena

    private static M_GraphixEngineUI.Gr_Arena[] arena

### actArena

    private static int actArena

### diff

    private static M_GraphixEngineUI.Gr_DiffArena diff

### playerOrd

    protected static int[] playerOrd

### last_killPoints

    private static int[] last_killPoints

### m_length

    private static int[] m_length

### m_killpoints

    private static int[] m_killpoints

### m_cycles

    private static int[] m_cycles

### m_name

    private static int[] m_name

### lastPlayerC

    protected static int lastPlayerC

### img_pTab

    protected static java.awt.image.VolatileImage[] img_pTab

### img_tab

    protected static java.awt.image.VolatileImage[] img_tab

### gr_tab

    protected static java.awt.Graphics2D[] gr_tab

### img_arena

    protected static java.awt.image.VolatileImage img_arena

### actGraphics

    private static java.awt.Graphics actGraphics

### menuFrame

    protected static C_WindowMain menuFrame

### commandFrame

    protected static C_WindowCommand commandFrame

### arenaFS

    protected static C_WindowArena arenaFS

### playerFS

    protected static C_WindowPlayer playerFS

### replay

    protected static C_WindowReplay replay

### options

    protected static C_WindowOptions options

### debugMon

    protected static C_DebugMonitor debugMon

### gameParam

    protected static GameParameter gameParam

Constructor Detail

### M_GraphixEngineUI

    private M_GraphixEngineUI()

Method Detail

### init

    public static void init(I_Main_interface calling,
                            GameParameter p,
                            C_DebugMonitor debMon,
                            int version)

  Creates a new instance of C_GraphixEngineUI

### updateTexts

    private static final void updateTexts(D_GameInfo gameInfo,
                                          java.awt.Graphics g)

### updatePlayer

    private static final void updatePlayer(D_GameInfo gameInfo)

### drawPlayerTab

    private static final void drawPlayerTab(boolean[] drawArray)

### updatePlayerTab

    private static final void updatePlayerTab(D_GameInfo gameInfo)

### drawMenuElements

    protected static final void drawMenuElements(java.awt.Graphics g,
                                                 D_GameInfo gameInfo)

### updateGraphics

    protected static final void updateGraphics()

### checkActivations

    protected static final void checkActivations(D_GameInfo gameInfo)

### setActive

    public static final void setActive(boolean active)

### updateDialogs

    public static final void updateDialogs()

### update

    public static final void update(D_GameInfo gameInfo,
                                    C_Human[] humanPlayer)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD